Packages - Packaging request #2692

[librewolf] Packaging request for LibreWolf browser as a potential replacement of Iceweasel
2020-04-12 11:27 AM - grizzlyuser

Status: open % Done: 0%
Priority: wish

Assignee:

Category:

Description

Project website: https:/librewolf-community.gitlab.io/
AUR package: https://aur.archlinux.org/packages/librewolf/

I've built librewolf 75.0-1 locally after adding only the following 3 lines to the PKGBUILD from the AUR:
https://git.parabola.nu/abslibre.git/tree/libre/iceweasel/PKGBUILD#n300

Please refer to the project website, docs, and code first.
Any constructive corrections, comments, concerns, criticism, etc. are welcome, because as usual, the following may not be
correct.

My subjective impressions and thoughts:

1. To comply with FSDG and Parabola standards, it's necessary to either convince upstream to make some changes, or to do
them downstream. Examples of these changes include removing the following:

1. recommendations of nonfree software like Firefox Developer Edition

2. DRM implementation (please see note [1] for details)

3. GMP (I guess [1] applies here to0), telemetry-, health-, crash-, other-reporting implementations that are currently just

disabled via preferences / policies.

2. Examples of the changes that are already applied upstream:

1. most of the rebranding changes

2. most of the URLs to Mozilla domains removed via preference overriding mechanism, similarly to what Parabola does in

vendor.js
3. some functionality is disabled via either preference overriding or built-in Enterprise Policies, for example:
1. DRM
GMP
. *-reporting
. Pocket
. Sync
. extension autoupdates
. "Recommendations" from addons.mozilla.org (AMO) for extensions and themes
8. default search engines

3. Development appears to be active.
4. Release delays after a few recent official Firefox releases have been no more than a few days.
Benefits for Parabola:

1. Hopefully less effort for updating the package, since most of rebranding and deactivating of unwanted functionality is handled
upstream.

Potential issues:

1. It's not clear if project understanding of software freedom concepts aligns with FSDG and Parabola standards. | guess it's
necessary to try to communicate and sort this out with LibreWolf project first.

2. Default preferences might put off some users, as sometimes they might seem too strict. Like disabled Sync or most of WebRTC
that might be useful for free software like Jitsi.

3. | couldn't find any code for langpacks in the repos.

[1] AFAIK Iceweasel has the implementation in place too, and it's just disabled by build flag that mostly switches preferences off.
Although I couldn't make it to actually download Widewine CDM after flipping appropriate preferences, one can clearly see that EME
related stuff is still being compiled during build. Ideally this implementation should be removed from the source tree before build,
because FSDG requires the following:

For instance, a free system distribution must not contain browsers that implement EME, the browser functionality designed to
load DRM modules.
History

#1 - 2020-04-14 10:31 AM - oaken-source
I'd be hesitant to replace iceweasel with librewolf.

that being said, I'm sure there's valuable things to learn from the librewolf source tree and build recipes. we should definitely try to apply some of the
ideas contained there into our pkgbuilds.

#2 - 2020-04-14 10:32 AM - oaken-source
- Priority changed from bug to wish
- Status changed from unconfirmed to open

- Tracker changed from Bug to Packaging request

#3 - 2020-04-14 07:44 PM - bill-auger

i was thinking the same - i looked into it a bit - they claim to have some code in it which guarantees absolutely no unauthorized connections to
third-parties - i dunno if i believe that; but it is interesting

overall, i was less than impressed by it though - the website describes it as a community-maintained fork of the libre-fox project; so i looked at the
libre-fox project - AFAICT, that project lasted for less than a year and was abandoned several months before libre-wolf "forked" it - of course, as the
project was abandoned, they did not actually fork it, they simply took over maintenance and renamed it - i dont see any reason why they had to
change the name - its probably exactly the same code, with new management

that happened less than a year ago; so libre-wolf is not a very mature project, even with its libre-fox legacy - what that means to us, is mainly that
there is a large likelihood that 'libre-wolf' will also be abandoned soon; which would leave us to maintain it

if i wanted to move in this direction, the first thing i would do, is suggest to the libre-wolf team, that the best thing they could do for the sake of a "libre
firefox", would be to join the gnuzilla team - if that happened, there would be more confidence that the dev were sincerely dedicated to software
freedom, and most importantly that project was sustainable

the spartan website is not very convincing - for example, the tag line is "A fork of Firefox, focused on privacy, security and freedom." - the remainder
of the page mentions some privacy features, and some security features, but not another word about "freedom" - despite what grizzlyuser found by
digging, i found no obvious indication of how it is somehow more "libre" than firefox on the website; which i would expect to be highlighted
prominently, given the chosen name
